#include <io.h>
;******************************************************************************
;   MSP-FET430X110 Demo - Software Toggle P1.0 
;
;   Description; Toggle P1.0 by xor'ing P0.1 inside of a software loop.
;   ACLK = n/a, MCLK = SMCLK = default DCO ~ 800k
;
;                MSP430F1121
;             -----------------
;         /|\|              XIN|-  
;          | |                 |
;          --|RST          XOUT|-
;            |                 |
;            |             P1.0|-->LED
;
;   M.Buccini
;   Texas Instruments, Inc
;   January 2002
;   Adapted for mspgcc by Steve Underwood <steveu@coppice.org>
;******************************************************************************
            .section    .text
RESET:      mov.w   #0x300,R1               ; Initialize stackpointer
StopWDT:    mov.w   #WDTPW+WDTHOLD,&WDTCTL  ; Stop WDT
SetupP1:    bis.b   #0x01,&P1DIR            ; P1.0 output
                                            ;				  
Mainloop:   xor.b   #0x01,&P1OUT            ; Toggle P1.0
Wait:       mov.w   #050000,R15             ; Delay to R15
L1:         dec.w   R15                     ; Decrement R15
            jnz     L1                      ; Delay over?
            jmp     Mainloop                ; Again
                                            ;
;----------------------------------------------------------------------------- 
;           Interrupt Vectors Used MSP430x11x1         
;----------------------------------------------------------------------------- 
            .section    .vectors
            .org    0x1E,0xFF               ; MSP430 RESET Vector
            .word   RESET                   ; 
